summaryrefslogtreecommitdiff
path: root/.github/workflows/debian.sh
diff options
context:
space:
mode:
Diffstat (limited to '.github/workflows/debian.sh')
-rwxr-xr-x.github/workflows/debian.sh53
1 files changed, 53 insertions, 0 deletions
diff --git a/.github/workflows/debian.sh b/.github/workflows/debian.sh
new file mode 100755
index 0000000..3592010
--- /dev/null
+++ b/.github/workflows/debian.sh
@@ -0,0 +1,53 @@
+#!/usr/bin/bash
+
+set -eo pipefail
+
+# Use grouped output messages
+infobegin() {
+ echo "::group::${1}"
+}
+infoend() {
+ echo "::endgroup::"
+}
+
+# Required packages on Debian
+requires=(
+ ccache # Use ccache to speed up build
+)
+
+requires+=(
+ autoconf-archive
+ autopoint
+ gcc
+ git
+ intltool
+ libdbus-glib-1-dev
+ libgl1-mesa-dev
+ libgles2-mesa-dev
+ libglib2.0-dev
+ libgtk-3-dev
+ libice-dev
+ libsm-dev
+ libstartup-notification0-dev
+ libsystemd-dev
+ libx11-dev
+ libxau-dev
+ libxext-dev
+ libxrender-dev
+ libxt-dev
+ libxtst-dev
+ make
+ mate-common
+ xmlto
+ xsltproc
+)
+
+infobegin "Update system"
+apt-get update -qq
+infoend
+
+infobegin "Install dependency packages"
+env DEBIAN_FRONTEND=noninteractive \
+ apt-get install --assume-yes \
+ ${requires[@]}
+infoend